# カードス!

カードス! ("KAADOSU!", a.k.a. CARDS!) is a collectible card game based on the concept of card scarcity, card merging, and randomized rulesets.

## About

Each of the 10,000 base cards has one of 5 colors (2 of which are rarer than the others), 3 shapes (1 of which is rarer than the others), and two values from 1 to 10, where 9 and 10 are the rarest and 1-4 are the most common.

Cards are distributed in packs of 5, and _any_ cards can be placed in a pack. If a card in a pack is already owned by someone, the card in the pack is a "Shadow" card that can be used in play but that holds no value. Shadow cards are indicated by the "S" before the card id and a darker card color.

4 card packs are available to each player every day, and if a pack is not purchased in a day, it is replaced with a different one the next day.

### Card Worth

The currency in カードス! is called クレヂト ("KUREDITO", a.k.a. CREDIT). Base cards can be used as クレヂト to buy card packs, and the cost of a card pack is calculated based on the cards inside. The minimum cost of a pack is 1 クレヂト.

A base card's spending power is equal to the average of their + and - values rounded up, and the cost is equal to half of this spending power rounded down.

A Shadow card is worth 0 and thus does not affect the price of a card pack, however, if an entire pack has only Shadow cards, the lowest cost is 1 クレヂト.

A Combo cards are worth as many クレヂト as their highest point value, but Shadow Combo cards are only worth 1 クレヂト.

Once per week, cards increase in value based on their color or shape. The color increases クレヂト value by 1 and the shape increases it by another 1, so if the card used is one or the other, the value is increased by 1, but if it is _both_, then it is increased by 2!

A marketplace will be made available for players to sell cards to each other or trade. The base price presented by default, but the seller can change it as they wish. If a card remains unsold on the marketplace for long enough, it is locked in place and its price is automatically dropped without the control of the owner. While a card is in the marketplace, it cannot be used in battle.

### Merging

These cards can only be owned by one player at a time, but two base cards can be merged in order to create a Combo card with both shapes, one of the colors, and an algorithm-decided merging of the values. If Shadow cards are merged, they create less powerful cards and are marked as the result of shadow cards. If a Shadow card is merged with a base card, then it will result in a less powerful card, but it is not marked as a Shadow card.

Once two cards are merged, the cards are returned to the pool and made available for other players to get in a pack.

### Battling

In order to battle, you must have at least 10 cards in your deck, and each deck can have a maximum of 30 cards.

Before battling, each player shuffles their deck and has the opponent draw the top card. The cards drawn decide how the rules for that game will be affected. The card drawn by each opponent is set aside but kept visible as "Guide Cards".

At the start of the battle, players take the cards remaining in their decks, combine and shuffle them together, and draw a hand of 3 cards. The player whose Guide Card id is higher goes first.

On your turn you can put down as many of the cards in your hand as you want, move each card that's already been placed, attack with each placed card in whatever order you'd like, and retire any active cards you no longer want on the battlefield.

Cards can be placed in one of 5 positions on your side of the battlefield, and no more than 4 cards can be on the field at a time. Cards that have been placed cannot move, attack, or be retired on the same turn they were put down.

Moving a card requires that the space be adjacent and empty, adjacent meaning one of the sides of the spaces touches one of the sides of another space.

Attacking an enemy card requires line of sight from the center of the attacking card to the center of the target card. If a card is positioned behind another card and the line from the center of the attacker to the center of the target intersects any part of another card, then the target card cannot be attacked. Your own cards do not get in the way of an attack.

The + value of a card is its health and the - value is the damage it does. If a card loses all of its health, it is sent to the Discard pile.

If your opponent has no active cards, you can attack their health directly. Each player starts with 10 health + the health of their Guide card.

Retiring a card removes it from the battlefield and places it into the Discard pile.

At the end of your turn, draw a new card from the deck, and then the other player takes their turn. You can have a maximum of 5 cards in your hand. If you have more than 5 cards after drawing, you must choose a card to put in the discard pile.

If all cards have been drawn from the deck, the Discard pile becomes the new deck—do not shuffle the Discard pile before using it as the new deck!

#### Winning

The game ends when one player reduces their opponent's health to 0.

At the end of the game, the victorious player may choose to keep the card they drew from their opponent or to get their original card back. The other player keeps the card the winner did not take.

#### Rule Alterations

The color of the card your opponent took is the color that your cards of that card's shape is weak against. If it is a combo card, then both shapes are weak against the color.

The + value of a card is how much additional damage cards of your shape take from that color while the - value is how much less damage cards of your shape do to that color.

Combo cards with one shape that is weak are affected by half of each value (rounded down), but if _both_ shapes are on the rule-altering card, then the values are _doubled_!

## Interesting Consequences

- Because each player has 4 card packs available each day and the pack prices are determined by the cards inside, each pack of cards must be pre-chosen at the start of each day and those packs must be distributed among active players.
  - Account age + play frequency should affect the order in which they are distributed
  - Packs should only be prepared for players who have logged in the day before
  - The earlier in the line a pack is prepared, the more likely it is to have a base card—all subsequent references in packs are Shadow cards